[arch-commits] Commit in deepin-qt5dxcb-plugin/repos/community-x86_64 (3 files)

Felix Yan felixonmars at archlinux.org
Sat Apr 20 19:04:03 UTC 2019


    Date: Saturday, April 20, 2019 @ 19:04:02
  Author: felixonmars
Revision: 452263

archrelease: copy trunk to community-x86_64

Added:
  deepin-qt5dxcb-plugin/repos/community-x86_64/PKGBUILD
    (from rev 452262, deepin-qt5dxcb-plugin/trunk/PKGBUILD)
  deepin-qt5dxcb-plugin/repos/community-x86_64/qt-5.12.patch
    (from rev 452262, deepin-qt5dxcb-plugin/trunk/qt-5.12.patch)
Deleted:
  deepin-qt5dxcb-plugin/repos/community-x86_64/PKGBUILD

---------------+
 PKGBUILD      |   67 +++++++++++++++++++++++++++++---------------------------
 qt-5.12.patch |   35 +++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+), 32 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-04-20 19:03:48 UTC (rev 452262)
+++ PKGBUILD	2019-04-20 19:04:02 UTC (rev 452263)
@@ -1,32 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=deepin-qt5dxcb-plugin
-pkgver=1.1.25
-pkgrel=1
-pkgdesc='Qt platform plugins for DDE'
-arch=('x86_64')
-url="https://github.com/linuxdeepin/qt5dxcb-plugin"
-license=('GPL3')
-depends=('cairo' 'qt5-x11extras')
-makedepends=('qt5-xcb-private-headers' 'libglvnd')
-groups=('deepin')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxdeepin/qt5dxcb-plugin/archive/$pkgver.tar.gz")
-sha512sums=('112ed64d9f0d6c1fd421edd1f401f22c03c31d793c51d1f7085c20ee63177cf579ad7c0ac9d602708e1bf3df3033096b19ec99e092299f9e39b0356ee25f389c')
-
-prepare() {
-  cd qt5dxcb-plugin-$pkgver
-
-  rm -r platformplugin/libqt5xcbqpa-dev
-  sed -i 's|error(Not support Qt Version: .*)|INCLUDEPATH += /usr/include/qtxcb-private|' platformplugin/linux.pri
-}
-
-build() {
-  cd qt5dxcb-plugin-$pkgver
-  qmake-qt5 PREFIX=/usr
-  make
-}
-
-package() {
-  cd qt5dxcb-plugin-$pkgver
-  make INSTALL_ROOT="$pkgdir" install
-}

Copied: deepin-qt5dxcb-plugin/repos/community-x86_64/PKGBUILD (from rev 452262, deepin-qt5dxcb-plugin/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-04-20 19:04:02 UTC (rev 452263)
@@ -0,0 +1,35 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=deepin-qt5dxcb-plugin
+pkgver=1.1.26
+pkgrel=1
+pkgdesc='Qt platform plugins for DDE'
+arch=('x86_64')
+url="https://github.com/linuxdeepin/qt5dxcb-plugin"
+license=('GPL3')
+depends=('cairo' 'qt5-x11extras')
+makedepends=('qt5-xcb-private-headers' 'libglvnd')
+groups=('deepin')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxdeepin/qt5dxcb-plugin/archive/$pkgver.tar.gz"
+        qt-5.12.patch)
+sha512sums=('8f796366d235437360c021c66c3532c2bb7e0f388acd89e1d4c20fbadf4734661d0aec19fdcf5ed4e299826d63cbdfb90def42305709ece10ba6efe55684e159'
+            'cd7ee42ab6b46ecf13b1f6e14bb33f0c1f241017307f716d6e38f3d330bd56ce0d78690e9d606a1da6a32aa4ab3684d3a792abea3dc7b8fe8d43a1bc43d6f24e')
+
+prepare() {
+  cd qt5dxcb-plugin-$pkgver
+  patch -p1 -i ../qt-5.12.patch
+
+  rm -r platformplugin/libqt5xcbqpa-dev
+  sed -i 's|error(Not support Qt Version: .*)|INCLUDEPATH += /usr/include/qtxcb-private|' platformplugin/linux.pri
+}
+
+build() {
+  cd qt5dxcb-plugin-$pkgver
+  qmake-qt5 PREFIX=/usr
+  make
+}
+
+package() {
+  cd qt5dxcb-plugin-$pkgver
+  make INSTALL_ROOT="$pkgdir" install
+}

Copied: deepin-qt5dxcb-plugin/repos/community-x86_64/qt-5.12.patch (from rev 452262, deepin-qt5dxcb-plugin/trunk/qt-5.12.patch)
===================================================================
--- qt-5.12.patch	                        (rev 0)
+++ qt-5.12.patch	2019-04-20 19:04:02 UTC (rev 452263)
@@ -0,0 +1,35 @@
+commit 1caec58eff37ae23a9461c74362a1c31ef0d2d86
+Author: Felix Yan <felixonmars at archlinux.org>
+Date:   Sun Apr 21 03:01:16 2019 +0800
+
+    fix: compatibility with Qt 5.12+
+    
+    Change-Id: Ied6745da56fa3a873d66a2d8e5385cd17c2fb273
+
+diff --git a/platformplugin/xcbnativeeventfilter.cpp b/platformplugin/xcbnativeeventfilter.cpp
+index 9df7d33..fc3045a 100644
+--- a/platformplugin/xcbnativeeventfilter.cpp
++++ b/platformplugin/xcbnativeeventfilter.cpp
+@@ -90,7 +90,7 @@ bool XcbNativeEventFilter::nativeEventFilter(const QByteArray &eventType, void *
+ #if QT_VERSION < QT_VERSION_CHECK(5, 12, 0)
+     if (response_type == m_connection->xfixes_first_event + XCB_XFIXES_SELECTION_NOTIFY) {
+ #else
+-    if (response_type == m_connection->m_xfixesFirstEvent + XCB_XFIXES_SELECTION_NOTIFY) {
++    if (m_connection->isXFixesType(response_type, XCB_XFIXES_SELECTION_NOTIFY)) {
+ #endif
+         xcb_xfixes_selection_notify_event_t *xsn = (xcb_xfixes_selection_notify_event_t *)event;
+ 
+@@ -227,8 +227,13 @@ bool XcbNativeEventFilter::nativeEventFilter(const QByteArray &eventType, void *
+ #endif
+         default:
+             static auto updateScaleLogcailDpi = qApp->property("_d_updateScaleLogcailDpi").toULongLong();
++#if QT_VERSION < QT_VERSION_CHECK(5, 12, 0)
+             if (updateScaleLogcailDpi && DPlatformIntegration::xcbConnection()->has_randr_extension
+                     && response_type == DPlatformIntegration::xcbConnection()->xrandr_first_event + XCB_RANDR_NOTIFY) {
++#else
++            if (updateScaleLogcailDpi && DPlatformIntegration::xcbConnection()->hasXRender()
++                    && DPlatformIntegration::xcbConnection()->isXRandrType(response_type, XCB_RANDR_NOTIFY)) {
++#endif
+                 xcb_randr_notify_event_t *e = reinterpret_cast<xcb_randr_notify_event_t *>(event);
+                 xcb_randr_output_change_t output = e->u.oc;
+ 


More information about the arch-commits mailing list